
import time

from loguru import logger

from common import Material
from common.sql_help import sqlCollect

from video_rewriting.video_processor import VideoProcessor
def video_task_start():
    """处理视频任务，返回用户名并根据结果决定延迟时间"""
    data = Material.feishu_list()[11]
    while True:
        try:
            count = sqlCollect.get_name_count("视频号品类账号")
            count = int(count[0][0])
            sheet_count = Material.get_count_restrict("视频号品类账号")
            if count >= int(sheet_count):
                logger.info(f"[+] 到了限制数{count}")
                time.sleep(3600)
                continue
            logger.info(f"[+] 开始执行任务")

            mark = VideoProcessor.main(data)
            logger.info(f"[+] 返回用户名: {mark}")
        except Exception as e:
            logger.error(f"[+] 处理任务时出现异常: {e}")
            time.sleep(10)
            continue
if __name__ == '__main__':
    video_task_start()
